import Swift
import Cocoa


protocol ContentProtocol {
    init()
}

protocol ContainerProtocol {
    associatedtype Content : ContentProtocol
    var content: Content {get set}
}

class Content : NSViewController, ContentProtocol {
    /*
    //no crash if this is uncommented
    required convenience init() {
        let coder = NSCoder()
        self.init(coder: coder)!
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    */
}

class Container : ContainerProtocol {
    var content: Content

    init () {
        content = Content()
    }
}

print("success")